| Home | Libraries | People | FAQ | More

## Function template operator<

boost::movelib::operator<

## Synopsis

    // In header: <boost/move/unique_ptr.hpp>

    template<typename T1, typename D1, typename T2, typename D2>
      bool operator<(const unique_ptr< T1, D1 > & x,
                     const unique_ptr< T2, D2 > & y);

## Description

Returns: x.get() < y.get().

Remarks: This comparison shall induce a strict weak ordering betwen pointers.